package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.ViewStuInfo;

/**
 * 学生信息视图Service接口
 *
 * @author srs
 * @date 2024-04-07
 */
public interface IViewStuInfoService extends IService<ViewStuInfo> {

    public ViewStuInfo getStuInfo(String stuNo);
    /**
     * 查询学生信息视图
     *
     * @param stuId 学生信息视图主键
     * @return 学生信息视图
     */
    public ViewStuInfo selectViewStuInfoByStuId(Long stuId);

    /**
     * 查询学生信息视图列表
     *
     * @param viewStuInfo 学生信息视图
     * @return 学生信息视图集合
     */
    List<ViewStuInfo> selectViewStuInfoList(ViewStuInfo viewStuInfo);

    /**
     * 新增学生信息视图
     *
     * @param viewStuInfo 学生信息视图
     * @return 结果
     */
    int insertViewStuInfo(ViewStuInfo viewStuInfo);

    /**
     * 修改学生信息视图
     *
     * @param viewStuInfo 学生信息视图
     * @return 结果
     */
    int updateViewStuInfo(ViewStuInfo viewStuInfo);

    /**
     * 批量删除学生信息视图
     *
     * @param stuIds 需要删除的学生信息视图主键集合
     * @return 结果
     */
    int deleteViewStuInfoByStuIds(Long[] stuIds);

    /**
     * 删除学生信息视图信息
     *
     * @param stuId 学生信息视图主键
     * @return 结果
     */
    int deleteViewStuInfoByStuId(Long stuId);
}
